icepatch2calc(1)

NAME
icepatch2calc - IcePatch2 tool to compress files and calculate checksums.

SYNOPSIS
icepatch2calc [options] data_dir [file...]

DESCRIPTION
IcePatch2 tool to compress files and calculate checksums. Full documentation for icepatch2calc is available online at:
"https://doc.zeroc.com/display/Ice36/Using+icepatch2calc".

OPTIONS

-h, --help
    Displays a help message.

-v, --version
    Displays the Ice version.

-z, --compress
    Normally, icepatch2calc scans the data directory and compresses a file only if no compressed version exists, or if the compressed version of a file has a modification time that predates that of the uncompressed version. If you specify -z, the tool re-scans and recompresses the entire data directory, regardless of the time stamps on files. This option is useful if you suspect that time stamps in the data directory may be incorrect.

-Z, --no-compress
    This option allows you to create a client-side checksum file. Do not use this option when creating the checksum file for the server — the option is for creating a client-side IcePatch2.sum file for updates of software on distribution media.

-i, --case-insensitive
    This option disallows file names that differ only in case. (An error message will be printed if icepatch2calc encounters any files that differ in case only.) This is particularly useful for Unix servers with Windows clients, since Windows folds the case of file names, and therefore such files would override each other on the Windows client.

-V, --verbose
    This option prints a progress message for each file that is compressed and for each checksum that is computed.

SEE ALSO
icepatch2client(1), icepatch2server(1)